Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SceneNodeManager Class Reference

シーンノードマネージャ More...

`#include <SceneNodeManager.h>`

Inheritance diagram for Lamp::SceneNodeManager:

List of all members.

## Public Member Functions
virtual SceneNode * | createSceneNode (const String &sceneNodeName)
| シーンノードの作成
virtual LODSceneNode * | createLODSceneNode (const String &sceneNodeName)
| レベルオブディティールシーンノードの作成
virtual int | clear ()
| クリア
## Protected Member Functions
| SceneNodeManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

シーンノードマネージャ

Definition at line 38 of file SceneNodeManager.h.

## Constructor & Destructor Documentation

Lamp::SceneNodeManager::SceneNodeManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file SceneNodeManager.cpp.

## Member Function Documentation

int Lamp::SceneNodeManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Reimplemented from Lamp::SceneObjectManagerTemplate< SceneNode >. Definition at line 52 of file SceneNodeManager.cpp. References Lamp::SceneObjectManagerTemplate< SceneNode >::addDatabase(), Lamp::SceneObjectManagerTemplate< SceneNode >::array_, Lamp::HashMap< String, SceneNode * >::clear(), Lamp::ArrayList< SceneNode * >::clear(), Lamp::SceneObjectManagerTemplate< SceneNode >::database_, Lamp::ArrayList< SceneNode * >::get(), Lamp::SceneObjectManagerTemplate< SceneNode >::getCount(), Lamp::SceneObject::getName(), Lamp::SceneNode::getSceneLeaf(), Lamp::SceneNode::getSceneLeafCount(), Lamp::SceneNode::getSceneNode(), Lamp::SceneNode::getSceneNodeCount(), Lamp::SceneNode::removeSceneLeaf(), and Lamp::SceneNode::removeSceneNode(). Referenced by Lamp::Scene::clear().

LODSceneNode * Lamp::SceneNodeManager::createLODSceneNode | ( | const String & | sceneNodeName | ) | `[virtual]`

  | レベルオブディティールシーンノードの作成 すでに同じ名前のシーンノードが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  sceneNodeName | レベルオブディティールシーンノード名
Returns: 作成されたレベルオブディティールシーンノード Definition at line 45 of file SceneNodeManager.cpp. References Lamp::SceneObjectManagerTemplate< SceneNode >::addDatabase(), Lamp::SceneObjectManagerTemplate< SceneNode >::checkName(), Lamp::SceneObjectManagerTemplate< SceneNode >::getScene(), and NULL. Referenced by Lamp::LODSceneNode::copyLODSceneNode(), Lamp::TextSceneLoader::readLODSceneNode(), and Lamp::BinarySceneLoader::readLODSceneNode().

SceneNode * Lamp::SceneNodeManager::createSceneNode | ( | const String & | sceneNodeName | ) | `[virtual]`

  | シーンノードの作成 すでに同じシーンノード名のシーンノードが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  sceneNodeName | シーンノード名
Returns: 作成されたシーンノード Definition at line 37 of file SceneNodeManager.cpp. References Lamp::SceneObjectManagerTemplate< SceneNode >::addDatabase(), Lamp::SceneObjectManagerTemplate< SceneNode >::checkName(), Lamp::SceneObjectManagerTemplate< SceneNode >::getScene(), and NULL. Referenced by Lamp::SceneNode::copy(), Lamp::TextSceneLoader::readSceneNode(), Lamp::BinarySceneLoader::readSceneNode(), and Lamp::Scene::Scene().

The documentation for this class was generated from the following files:

- SceneNodeManager.h
- SceneNodeManager.cpp